from setuptools import setup, find_packages

version = '0.1dev'

install_requires = [
    'setuptools',
    'multimechanize',
    ]

tests_require = []
docs_require = []

def read(*rnames):
    return open(os.path.join(os.path.dirname(__file__), *rnames)).read()

long_description = (
    read('README.txt')
    + '\n\n'
    + read('CHANGES.txt')
    + '\n\n'
    + 'Download\n'
    + '********\n'
    )



setup(
    name = 'waeup.stress',
    version = version,
    description = 'stress tests for waeup portal',
    long_description = long_description,
    keywords = 'stress test waeup sirp multi-mechanize',
    # Get strings from http://pypi.python.org/pypi?%3Aaction=list_classifiers
    classifiers = [
        'Development Status :: 3 - Alpha',
        'Environment :: Web Environment',
        'Intended Audience :: Education',
        'License :: OSI Approved :: GNU General Public License (GPL)',
        'Programming Language :: Python',
        'Operating System :: POSIX',
        'Operating System :: POSIX :: Linux',
        'Framework :: Zope3',
        'Topic :: Education',
        'Topic :: Internet :: WWW/HTTP',
        ],
      author = "The WAeUP team.",
      author_email = "",
      url = "http://www.waeup.org/",
       license = "GPL",
      package_dir = {'': 'src'},
      packages= find_packages('src'),
      namespace_packages = ['waeup',],
      include_package_data = True,
      zip_safe = False,
      install_requires = install_requires,
      tests_require = tests_require,
      extras_require = dict(
        test = tests_require,
        docs = docs_require,
        ),
      entry_points="""
      # Add entry points here
      [console_scripts]
      # sirp-debug = grokcore.startup:interactive_debug_prompt
      # sirpctl = grokcore.startup:zdaemon_controller
      """,
      )
